KJL - Feature #2909

Update Permintaan Barang
07/22/2024 12:00 PM - haykal haykal

Status: Closed Start date: 07/22/2024
Priority: Normal Due date: 07/25/2024
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Berdasarkan Permintaan KJL, di document Permintaan Barang ingin tidak ada Document Status. Maka dari itu field Document
Status sudah saya hide.

Di redmine ini saya bermaksud untuk memastikan agar saat user mengeklik Create Ref di menu Purchase Requisition, dokumen
Permintaan Barang tetap muncul setelah perubahan ini. Jadi meskipun saat ini di document Permintaan Barang tidak ada Document
Statusnya, ingin agar dokumen Permintaan Barang yang sudah di-save tetap muncul di lookup Create Ref.

Terimakasih.
Menu Path: Logistic & Service > Purchasing

Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod (di 1452)

History

#1 - 07/22/2024 05:55 PM - Kezia Pawitra Yulianti
- Due date set to 07/25/2024
- Status changed from New to Assigned

- Assignee changed from Tri Rizqiaty to haykal haykal

Wait,

jd ini emang ada dokumen terpisah yaa antara permintaan barang dan PR?

Kalau memang PR bisa di create dgn ref ke permintaan barang, dan ingin nya doc status di permintaan barang di hide...sebaiknya field itu tetep di
buat mandatory dan default value aja supaya tetep nanti saat create ref membaca status tsb untuk di tampilkan di PR.

Apa ini sudah di setting default value nya? jadi nanti baru minta ke mbak yomma untuk tetep muncul di look up create ref nya

Pls d follow up ya

Tks

#2 - 07/24/2024 11:21 AM - haykal haykal

Jadi Default Value untk Document Statusnya ingin dibikin Approved. Untuk kolom DefaultValue di SDATATABLEFIELD sudah saya isikan 2 sesuai
dengan kode DocStatus untuk Approved yg ada di PCMBSPURCHASEDOCSTATUS.

Jadi nanti untk Create Ref nya membaca Document Status ini.

Terimakasih.

#3 - 07/25/2024 09:37 AM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqgiaty

#4 - 07/31/2024 05:22 PM - Tri Rizqiaty
- File Deploy 20240725 KJL 61138 Pur Doc Status.rar added

- Status changed from Assigned to Developing

fixing sesuai file terlampir

#5 - 07/31/2024 05:22 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
http://remote.minovais.com:61138/

- Assignee changed from Tri Rizqiaty to haykal haykal

#6 - 08/01/2024 10:10 AM - haykal haykal
- Status changed from QA Test to Deploy
- Assignee changed from haykal haykal to Moch Alinafia

#7 - 08/01/2024 11:12 AM - Moch Alinafia
- Status changed from Deploy to Closed

Files
Deploy 20240725 KJL 61138 Pur Doc Status.rar 148 KB 07/31/2024 Tri Rizgiaty
07/05/2025 2/2


http://www.tcpdf.org

